Debian Bug report logs - #600094
please add support for lzip

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: daniel@debian.org

Date: Wed, 13 Oct 2010 16:45:01 UTC

Severity: wishlist

Tags: wontfix

Merged with 556960

Found in version dpkg/1.15.5.1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#600094; Package dpkg. (Wed, 13 Oct 2010 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Wed, 13 Oct 2010 16:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please add support for lzip
Date: Wed, 13 Oct 2010 18:40:36 +0200
Package: dpkg
Severity: wishlist

Hi,

please add support for using lzip for compressing source and binary
packages.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#600094; Package dpkg. (Wed, 13 Oct 2010 19:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Wed, 13 Oct 2010 19:00:11 GMT) Full text and rfc822 format available.

Message #10 received at 600094@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 600094@bugs.debian.org
Subject: Re: please add support for lzip
Date: Wed, 13 Oct 2010 20:58:41 +0200
[Message part 1 (text/plain, inline)]
tag 600094 patch
thanks

the first patch is for the code against 1.15.8.5. i've successfully
tested it (will upload builds for i386 and amd64 to people.d.o/~daniel/
soon). please let me know if you like me to change anything (e.g. there
are some inconsistency, sometimes stuff is alphabetically sorted,
sometimes it's not - i did always append at the end).

the second patch is for the documentation, however, i could not figure
out how you update the po files and stuff (unrelated to lzip support,
would you accept patches to use po4a for that?). please let me know how
i can do that, so i can send an updated patch for the docs.

also, let me know if you'd like me to rebase from a branch of your
repository instead.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/
[lzip.diff (text/x-diff, attachment)]
[lzip-docs.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 13 Oct 2010 19:00:13 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 14 Oct 2010 06:27:04 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Thu, 14 Oct 2010 06:27:04 GMT) Full text and rfc822 format available.

Message #17 received at 600094-done@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: daniel@debian.org, 600094-done@bugs.debian.org
Subject: Re: Bug#600094: please add support for lzip
Date: Thu, 14 Oct 2010 08:24:17 +0200
Hi!

On Wed, 2010-10-13 at 18:40:36 +0200, Daniel Baumann wrote:
> Package: dpkg
> Severity: wishlist

> please add support for using lzip for compressing source and binary
> packages.

This was filed and closed some time ago. Please see my response and
reasoning on that bug report:

  <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=556960#10>

Closing this one now.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#600094; Package dpkg. (Thu, 14 Oct 2010 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 14 Oct 2010 06:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 600094@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Guillem Jover <guillem@debian.org>
Cc: 600094@bugs.debian.org
Subject: Re: Bug#600094 closed by Guillem Jover <guillem@debian.org> (Re: Bug#600094: please add support for lzip)
Date: Thu, 14 Oct 2010 08:32:18 +0200
reopen 600094
reopen 556960
retitle 556960 please add support for lzip
forcemerge 556960 600094
tag 600094 wontfix
tag 556960 wontfix
thanks

Hi Guillem,

the proper thing then is to keep it open and wontfix, not closing, thus
reopening both accordingly.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Oct 2010 06:36:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 14 Oct 2010 06:36:06 GMT) Full text and rfc822 format available.

Forcibly Merged 556960 600094. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 14 Oct 2010 06:39:06 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 09 Mar 2011 17:45:05 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Wed, 11 Apr 2012 05:57:04 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Wed, 11 Apr 2012 05:57:05 GMT) Full text and rfc822 format available.

Message #35 received at 600094-done@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: daniel@debian.org, 600094-done@bugs.debian.org
Subject: Re: Bug#600094: closed by Guillem Jover <guillem@debian.org> (Re: Bug#600094: please add support for lzip)
Date: Wed, 11 Apr 2012 07:54:30 +0200
Hi!

On Thu, 2010-10-14 at 08:32:18 +0200, Daniel Baumann wrote:
> the proper thing then is to keep it open and wontfix, not closing, thus
> reopening both accordingly.

That's at the maintainer's discretion, if the bug is not a recurring
thing users usually wonder about or stumble upon, then keeping it open
just clutters the bug view (which for dpkg is already too crowded).
Closing this again now.

thanks,
guillem




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Wed, 11 Apr 2012 05:57:05 GMT) Full text and rfc822 format available.

Notification sent to Antonio Diaz Diaz <ant_diaz@teleline.es>:
Bug acknowledged by developer. (Wed, 11 Apr 2012 05:57:05 GMT) Full text and rfc822 format available.

Bug reopened Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 11 Apr 2012 06:03:08 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 12 Apr 2012 03:42:04 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Thu, 12 Apr 2012 03:42:04 GMT) Full text and rfc822 format available.

Message #47 received at 600094-done@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: 600094-done@bugs.debian.org
Subject: Re: Bug#600094: closed by Guillem Jover <guillem@debian.org> (Re: Bug#600094: please add support for lzip)
Date: Thu, 12 Apr 2012 05:38:34 +0200
On Wed, 2012-04-11 at 08:00:24 +0200, Daniel Baumann wrote:
> On 04/11/2012 07:54 AM, Guillem Jover wrote:
> > That's at the maintainer's discretion
> 
> as long as the bug itself is valid and we're all in agreement that it is
> not fixed, i do not agree to close it, hence reopening.

There's no bug here, this is a wishlist request that has been marked
wontfix, which by definition makes it not valid. The concept that a
maintainer cannot close wishlist requests that have been considered
as wontfix does not make any sense, it would make the BTS unusable
otherwise. Please do not reopen this again.

regards,
guillem




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 12 Apr 2012 03:42:04 GMT) Full text and rfc822 format available.

Notification sent to Antonio Diaz Diaz <ant_diaz@teleline.es>:
Bug acknowledged by developer. (Thu, 12 Apr 2012 03:42:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 May 2012 07:43:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:32:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.